Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity
Interface UserModule

All Known Implementing Classes:
  CachedLDAPUserModuleWrapper, HibernateUserModuleImpl, LDAPExtUserModuleImpl, LDAPUserModule, LDAPUserModuleImpl, UserModuleService

    public interface UserModule

Version:
  $Revision: 5946 $
Author:
  Julien Viet

Method Summary
`User` | `createUser(java.lang.String userName, java.lang.String password)` Creates a new user with the specified name.
`User` | `findUserById(java.lang.Object id)` Retrieve a user by its id.
`User` | `findUserById(java.lang.String id)` Retrieve a user by its id.
`User` | `findUserByUserName(java.lang.String userName)` Retrieve a user by its name.
`java.util.Set` | `findUsers(int offset, int limit)` Get a range of users.
`java.util.Set` | `findUsersFilteredByUserName(java.lang.String filter, int offset, int limit)` Get a range of users.
`int` | `getUserCount()` Returns the number of users.
`void` | `removeUser(java.lang.Object id)` Remove a user.

Method Detail

### findUserByUserName

    User findUserByUserName(java.lang.String userName)
                            throws IdentityException,
                                   java.lang.IllegalArgumentException,
                                   NoSuchUserException

  Retrieve a user by its name.

  Parameters:
    `userName` - the user name
  Returns:
    the user
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`
    `NoSuchUserException`

### findUserById

    User findUserById(java.lang.Object id)
                      throws IdentityException,
                             java.lang.IllegalArgumentException,
                             NoSuchUserException

  Retrieve a user by its id.

  Parameters:
    `id` - the user id
  Returns:
    the user
  Throws:
    `java.lang.IllegalArgumentException` - if the id is null
    `IdentityException`
    `NoSuchUserException`

### findUserById

    User findUserById(java.lang.String id)
                      throws IdentityException,
                             java.lang.IllegalArgumentException,
                             NoSuchUserException

  Retrieve a user by its id.

  Parameters:
    `id` - the user id
  Returns:
    the user
  Throws:
    `java.lang.IllegalArgumentException` - if the id is null or not in the good format
    `IdentityException`
    `NoSuchUserException`

### createUser

    User createUser(java.lang.String userName,
                    java.lang.String password)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Creates a new user with the specified name.

  Parameters:
    `userName` -
  Returns:
    the user
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### removeUser

    void removeUser(java.lang.Object id)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Remove a user.

  Parameters:
    `id` - the user id
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findUsers

    java.util.Set findUsers(int offset,
                            int limit)
                            throws IdentityException,
                                   java.lang.IllegalArgumentException

  Get a range of users.

  Parameters:
    `offset` - the offset of the first result to retrieve
    `limit` - the maximum number of users to retrieve
  Returns:
    the user set
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findUsersFilteredByUserName

    java.util.Set findUsersFilteredByUserName(java.lang.String filter,
                                              int offset,
                                              int limit)
                                              throws IdentityException,
                                                     java.lang.IllegalArgumentException

  Get a range of users.

  Parameters:
    `filter` - a string filter applied to the user name.
    `offset` - the offset of the frist result to retrieve
    `limit` - the maximum number of users to retrieve
  Returns:
    the user set
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getUserCount

    int getUserCount()
                     throws IdentityException,
                            java.lang.IllegalArgumentException

  Returns the number of users.

  Returns:
    the number of users
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD